Summary: Berkeley DB NSS Module
Name: nss-db
Version: 2.2
Release: 2.2.x.C4
Copyright: LGPL
Group: System Environment/Libraries
Source: ftp://ftp.gnu.org/gnu/glibc/nss_db-2.2.tar.gz
Patch0: nss_db-iterate.patch
Patch1: nss-db-static-db-compile.patch
BuildRoot: /var/tmp/nss-db-root

%description
The Berkeley DB NSS module provides an alternative means for storing
configuration information traditionally kept in several plain-text
files in `/etc' (e.g. `/etc/passwd').  The module uses the Berkeley DB
Library to store this information in several database files in
`/var/db' (e.g. `/var/db/passwd.db').  Using these databases can lead
to a considerable speedup if the files in `/etc' are large (e.g. on a
system with a lot of accounts).  Currently the module support the
`aliases', `ethers', `group', `netgroup', `protocols', `passwd',
`rpc', `services' and `shadow' databases.

%prep
%setup -n nss_db-%{version}
%patch0 -z .iterate -p0
%patch1 -z .static -p0
#./configure --prefix=/usr

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
/lib/*
/usr/lib/*
/usr/bin/*

%changelog
* Mon Jan  2 2002 Patrick Baltz <patrick.baltz@sun.com> 2.2-2.2.x.C4
- statically compile with libdb3 to fix pr 12546

* Sat Oct 20 2001 Patrick Baltz <patrick.baltz@sun.com>
- fix iterator to get reset on end*ent and set*ent
  so consecutive runs in the same program don't skip the db
  the second time around
  
* Tue Oct 9 2001 Patrick Baltz <patrick.baltz@sun.com>
- make get*ent functions work for db3 style files

* Thu Jul 12 2001 Patrick Baltz <patrick.baltz@sun.com>
- Initial rpm for nss-db module
